MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025730Community[OCCT] OCCT:Modeling Algorithmspublic2015-01-21 15:012017-09-29 16:29
Reportershoogen 
Assigned Tomsv 
PrioritynormalSeverityminor 
StatusclosedResolutionopen 
PlatformLinuxOSDebian 6.0OS Version64 bit
Product Version[OCCT] 6.8.0 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0025730: result of MakeThickSolid aborts the BOPCheck in Geom_OffsetSurface::SetD0
DescriptionNStatus != CSLib_Defined
Steps To Reproducepload MODELING
restore thickness8-draw-Fillet001.brep Fillet001
explode Fillet001 F
offsetparameter 1e-7 p a
offsetload Fillet001 -1 Fillet001_4
offsetperform Thickness
donly Thickness
bopcheck Fillet001
# This shape seems to be OK.
bopcheck Thickness
#There were errors during the operation, so the list may be incomplete.
# This shape seems to be OK.
Additional information
and documentation updates
NStatus != CSLib_Defined

#4 0x00007f7cbcc6d954 in Geom_UndefinedValue::Raise ( AString=0x7f7cbcd22c70 "") at occt/drv/Geom/Geom_UndefinedValue_0.cxx:10
#5 0x00007f7cbccb84e8 in Geom_OffsetSurface::SetD0 (this=0x6bc6800, U=0, V=11.720056995126541, P=..., D1U=..., D1V=...) at occt/src/Geom/Geom_OffsetSurface.cxx:1757
#6 0x00007f7cbccb0232 in Geom_OffsetSurface::D0 (this=0x6bc6800, U=0, V=11.720056995126541, P=...) at occt/src/Geom/Geom_OffsetSurface.cxx:486
0000007 0x00007f7cbccc786a in Geom_Surface::Value (this=0x6bc6800, U=0, V=11.720056995126541) at occt/src/Geom/Geom_Surface.cxx:111
0000008 0x00007f7cbcce67ad in GeomAdaptor_Surface::Value (this=0x7fb3410, U=0, V=11.720056995126541) at occt/src/GeomAdaptor/GeomAdaptor_Surface.cxx:610
0000009 0x00007f7cbdab27f4 in Adaptor3d_HSurface::Value (this=0x7fb3400, U=0, V=11.720056995126541) at occt/inc/Adaptor3d_HSurface.lxx:213
#10 0x00007f7cb5ebdae7 in IsDegenerated (aS=..., aIndex=3, aTol2=9.9999999999999998e-13, aDegX=@0x7fff9ae23638: 99) at occt/src/IntPolyh/IntPolyh_MaillageAffinage.cxx:3942
0000011 0x00007f7cb5ebd5f3 in DegeneratedIndex (aXpars=..., aNbX=10, aS=..., aIsoDirection=2, aI1=@0x7fff9ae237cc: 0, aI2=@0x7fff9ae237c8: 0) at occt/src/IntPolyh/IntPolyh_MaillageAffinage.cxx:3858
#12 0x00007f7cb5ea5365 in IntPolyh_MaillageAffinage::FillArrayOfPnt (this= 0x6bd1a50, SurfID=1, Upars=..., Vpars=...) at occt/src/IntPolyh/IntPolyh_MaillageAffinage.cxx:323
0000013 0x00007f7cb5ea4e7f in IntPolyh_MaillageAffinage::FillArrayOfPnt (this= 0x6bd1a50, SurfID=1) at occt/src/IntPolyh/IntPolyh_MaillageAffinage.cxx:243
0000014 0x00007f7cb5ea1a21 in IntPolyh_Intersection::PerformMaillage (this= 0x6baaf70, theMaillageS=@0x7fff9ae23b40: 0x6bd1a50) at /home/sebastian/Downloads/occt/src/IntPolyh/IntPolyh_Intersection.cxx:302
0000015 0x00007f7cb5ea2043 in IntPolyh_Intersection::PerformStd (this=0x6baaf70, MaillageS=@0x7fff9ae23b40: 0x6bd1a50, NbCouples=@0x7fff9ae23b50: 0) at occt/src/IntPolyh/IntPolyh_Intersection.cxx:431
0000016 0x00007f7cb5ea0fad in IntPolyh_Intersection::Perform (this=0x6baaf70) at occt/src/IntPolyh/IntPolyh_Intersection.cxx:89
0000017 0x00007f7cb5ea0ec9 in IntPolyh_Intersection::IntPolyh_Intersection (this= 0x6baaf70, S1=..., NbSU1=10, NbSV1=10, S2=..., NbSU2=10, NbSV2=23) at occt/src/IntPolyh/IntPolyh_Intersection.cxx:61
0000018 0x00007f7cb5c4b30a in IntPatch_PrmPrmIntersection::Perform (this= 0x7fff9ae24d40, Surf1=..., D1=..., Surf2=..., D2=..., TolTangency=5.4378625768483804e-05, Epsilon=5.4378625768483804e-05, Deflection=0.10000000000000001, Increment=0.001, ClearFlag=1) at occt/src/IntPatch/IntPatch_PrmPrmIntersection.cxx:2022
0000019 0x00007f7cb5c2b24b in IntPatch_Intersection::ParamParamPerfom (this= 0x75ee910, theS1=..., theD1=..., theS2=..., theD2=..., TolArc=5.4378625768483804e-05, TolTang=5.4378625768483804e-05, ListOfPnts=..., RestrictLine=0, typs1=GeomAbs_OffsetSurface, typs2=GeomAbs_BSplineSurface) at occt/src/IntPatch/IntPatch_Intersection.cxx:1190
0000020 0x00007f7cb5c2aea3 in IntPatch_Intersection::Perform (this=0x75ee910, theS1=..., theD1=..., theS2=..., theD2=..., TolArc=5.4378625768483804e-05, TolTang=5.4378625768483804e-05, ListOfPnts=..., RestrictLine=0, isGeomInt=1) at occt/src/IntPatch/IntPatch_Intersection.cxx:1149
0000021 0x00007f7cb6aeca30 in IntTools_FaceFace::Perform (this=0x75ee908, aF1=..., aF2=...) at occt/src/IntTools/IntTools_FaceFace.cxx:759
0000022 0x00007f7cb6b810c3 in BOPAlgo_FaceFace::Perform (this=0x75ee8e0) at occt/src/BOPAlgo/BOPAlgo_PaveFiller_6.cxx:156
0000023 0x00007f7cb6b82b35 in BOPCol_TBBFunctor<BOPAlgo_FaceFace, BOPCol_NCVector<BOPAlgo_FaceFace> >::operator() (this=0x7fff9ae25c50, aBR=...) at occt/inc/BOPCol_TBB.hxx:107
0000024 0x00007f7cb6b8177f in BOPCol_TBBCnt<BOPCol_TBBFunctor<BOPAlgo_FaceFace, BOPCol_NCVector<BOPAlgo_FaceFace> >, BOPCol_NCVector<BOPAlgo_FaceFace> >::Perform ( bRunParallel=0, aV=...) at occt/inc/BOPCol_TBB.hxx:147
0000025 0x00007f7cb6b77e49 in BOPAlgo_PaveFiller::PerformFF (this=0x7fff9ae26430) at occt/src/BOPAlgo/BOPAlgo_PaveFiller_6.cxx:273
#26 0x00007f7cb6b67334 in BOPAlgo_PaveFiller::PerformInternal (this= 0x7fff9ae26430) at occt/src/BOPAlgo/BOPAlgo_PaveFiller.cxx:268
#27 0x00007f7cb6b670fb in BOPAlgo_PaveFiller::Perform (this=0x7fff9ae26430) at occt/src/BOPAlgo/BOPAlgo_PaveFiller.cxx:204
#28 0x00007f7cb6b627f7 in BOPAlgo_CheckerSI::Perform (this=0x7fff9ae26430) at occt/src/BOPAlgo/BOPAlgo_CheckerSI.cxx:153
0000029 0x00007f7cb6b3b432 in BOPAlgo_ArgumentAnalyzer::TestSelfInterferences ( this=0x7fff9ae266d0) at occt/src/BOPAlgo/BOPAlgo_ArgumentAnalyzer.cxx:387

TagsBOPAlgo_OperationAborted
Test case numberbugs modalg_7 bug25730
Attached Files? file icon thickness8.draw (282 bytes) 2015-01-21 15:01
? file icon thickness8-draw-Fillet001.brep (1,060,893 bytes) 2015-01-21 15:12

- Relationships
related to 0028131closedbugmaster BRepOffset_MakeOffset can't create offset with a face which created by filling 3 bsplinecurve 

-  Notes
(0036330)
shoogen (reporter)
2015-01-21 15:15

(gdb) p NStatus
$4 = CSLib_Singular
(0069163)
mkv (tester)
2017-08-07 16:15

Problem described in issue is reproduced on current state of OCCT.
(0069772)
abv (manager)
2017-08-23 12:02

Should be fixed along with 0028131

- Related Changesets
occt: master 2a9be0e2
Timestamp: 2017-08-22 12:05:00
Author: abv
Committer: bugmaster
Details ] Diff ]
0028131: BRepOffset_MakeOffset can't create offset with a face which created by filling 3 bsplinecurve

Handling of degenerated points (with all derivatives zero) in GeomEvaluator_OffsetSurface is improved by iterative movement towards middle of the surface (extension of one-step approach implemented earlier in #28112).
mod - src/GeomEvaluator/GeomEvaluator_OffsetSurface.cxx Diff ] File ]
mod - src/QABugs/QABugs_20.cxx Diff ] File ]
mod - tests/bugs/modalg_7/bug25730 Diff ] File ]
add - tests/bugs/modalg_7/bug28131 Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-01-21 15:01 shoogen New Issue
2015-01-21 15:01 shoogen Assigned To => msv
2015-01-21 15:01 shoogen File Added: thickness8.draw
2015-01-21 15:12 shoogen File Added: thickness8-draw-Fillet001.brep
2015-01-21 15:15 shoogen Note Added: 0036330
2015-01-26 11:16 shoogen Tag Attached: BOPAlgo_OperationAborted
2017-08-07 16:15 mkv Test case number => bugs modalg_7 bug25730
2017-08-07 16:15 mkv Note Added: 0069163
2017-08-22 18:16 abv Relationship added related to 0028131
2017-08-23 12:02 abv Note Added: 0069772
2017-08-23 12:02 abv Target Version => 7.2.0
2017-08-31 21:36 abv Status new => feedback
2017-08-31 21:36 abv Status feedback => verified
2017-08-31 21:38 abv Changeset attached => occt master 2a9be0e2
2017-09-29 16:17 aiv Fixed in Version => 7.2.0
2017-09-29 16:29 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker